|  | Home · All Classes · All Functions · Overviews

# QScreenDriverPlugin Class Reference
[QtGui module]

The QScreenDriverPlugin class is an abstract base class for screen driver plugins in Qt for Embedded Linux. More...

     #include <QScreenDriverPlugin>

Inherits QObject.

- List of all members, including inherited members

## Public Functions

| QScreenDriverPlugin ( QObject * parent = 0 )
| ~QScreenDriverPlugin ()

## Reimplemented Public Functions

virtual QScreen * | create ( const QString & key, int displayId ) = 0
virtual QStringList | keys () const = 0

- 29 public functions inherited from QObject

### Additional Inherited Members

- 1 property inherited from QObject
- 1 public slot inherited from QObject
- 1 signal inherited from QObject
- 5 static public members inherited from QObject
- 7 protected functions inherited from QObject

## Detailed Description

The QScreenDriverPlugin class is an abstract base class for screen driver plugins in Qt for Embedded Linux.

Note that this class is only available in Qt for Embedded Linux.

Qt for Embedded Linux provides ready-made drivers for several screen protocols, see the display management documentation for details. Custom screen drivers can be implemented by subclassing the QScreen class and creating a screen driver plugin.

A screen driver plugin can be created by subclassing QScreenDriverPlugin and reimplementing the pure virtual keys() and create() functions. By exporting the derived class using the Q_EXPORT_PLUGIN2() macro, The default implementation of the QScreenDriverFactory class will automatically detect the plugin and load the driver into the server application at run-time. See How to Create Qt Plugins for details.

See also QScreen and QScreenDriverFactory.

## Member Function Documentation

### QScreenDriverPlugin::QScreenDriverPlugin ( QObject * parent = 0 )

Constructs a screen driver plugin with the given parent.

Note that this constructor is invoked automatically by the Q_EXPORT_PLUGIN2() macro, so there is no need for calling it explicitly.

### QScreenDriverPlugin::~QScreenDriverPlugin ()

Destroys this screen driver plugin.

Note that Qt destroys a plugin automatically when it is no longer used, so there is no need for calling the destructor explicitly.

### QScreen * QScreenDriverPlugin::create ( const QString & key, int displayId ) `[pure virtual]`

Implement this function to create a driver matching the type specified by the given key and displayId parameters. Note that keys are case-insensitive.

See also keys().

### QStringList QScreenDriverPlugin::keys () const `[pure virtual]`

Implement this function to return the list of valid keys, i.e. the screen drivers supported by this plugin.

Qt for Embedded Linux provides ready-made drivers for several screen protocols, see the display management documentation for details.

See also create().